%define upstream_name    Tk-Action
%define upstream_version 1.093390

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Action abstraction for tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk::Sugar)

BuildArch: noarch


%description
Menu entries are often also available in toolbars or other widgets. And
sometimes, we want to enable or disable a given action, and this means
having to update everywhere this action is allowed.

This module helps managing actions in a the Tk manpage GUI: just create a
new object, associate some widgets and bindings with 'add_widget()' and
then de/activate the whole action at once with 'enable()' or 'disable()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.93.390-11.mga9
+ Revision: 1806478
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.93.390-10.mga8
+ Revision: 1497873
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.93.390-9.mga7
+ Revision: 1272383
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.93.390-8.mga6
+ Revision: 1035385
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.93.390-7.mga6
+ Revision: 971526
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.93.390-6.mga6
+ Revision: 891863
- BR perl(Module::Build)

* Wed Oct 15 2014 umeabot <umeabot> 1.93.390-5.mga5
+ Revision: 744000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.93.390-4.mga5
+ Revision: 686717
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.93.390-3.mga4
+ Revision: 515733
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.93.390-2.mga3
+ Revision: 374388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.93.390-1.mga1
+ Revision: 40061
- mageia rebuild
- imported package perl-Tk-Action

